: Class CacheState

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.cache
Class CacheState

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.cache.CacheState

public class CacheState
extends java.lang.Object

Field Summary
`static java.lang.Integer` | `HOW_HIT` STATE_HOW value - Indicates a cache hit.
`static java.lang.Integer` | `HOW_MISS` STATE_HOW value - Indicates a cache miss.
`static java.lang.Integer` | `HOW_REVALIDATION_FAILURE` STATE_HOW value - indicates a remote served entry after a failed revalidation of a cached entry
`static java.lang.Integer` | `HOW_REVALIDATION_SUCCESS` STATE_HOW value - indicates a served cached entry after a revalidation
`static java.lang.String` | `STATE_CACHABLE` Name of the property that indicates that the cache can be used.
`static java.lang.String` | `STATE_NOCACHE` The state used to disable that filter per request.
`static java.lang.String` | `STATE_ORIGREQ` Name of the request state used to keep track of original request
`static java.lang.String` | `STATE_RESOURCE` name of the state containing the cached resource
`static java.lang.String` | `STATE_REVALIDATION` Name of the request state that marks a request as being a revalidation.
`static java.lang.String` | `STATE_STORABLE` Name of the property that indicates that the entity may be stored.
`static java.lang.String` | `STATE_WARNINGS` Name of the state used to collect warnings.

Constructor Summary
`CacheState()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_NOCACHE

    public static final java.lang.String STATE_NOCACHE

  The state used to disable that filter per request. Also set by the cache if the request cannot be fullfilled by caches, as detected by this filter.

### STATE_WARNINGS

    public static final java.lang.String STATE_WARNINGS

  Name of the state used to collect warnings. (request)

### STATE_ORIGREQ

    public static final java.lang.String STATE_ORIGREQ

  Name of the request state used to keep track of original request

### STATE_REVALIDATION

    public static final java.lang.String STATE_REVALIDATION

  Name of the request state that marks a request as being a revalidation.

### STATE_CACHABLE

    public static final java.lang.String STATE_CACHABLE

  Name of the property that indicates that the cache can be used.

### STATE_STORABLE

    public static final java.lang.String STATE_STORABLE

  Name of the property that indicates that the entity may be stored.

### STATE_RESOURCE

    public static final java.lang.String STATE_RESOURCE

  name of the state containing the cached resource

### HOW_HIT

    public static final java.lang.Integer HOW_HIT

  STATE_HOW value - Indicates a cache hit.

### HOW_MISS

    public static final java.lang.Integer HOW_MISS

  STATE_HOW value - Indicates a cache miss.

### HOW_REVALIDATION_SUCCESS

    public static final java.lang.Integer HOW_REVALIDATION_SUCCESS

  STATE_HOW value - indicates a served cached entry after a revalidation

### HOW_REVALIDATION_FAILURE

    public static final java.lang.Integer HOW_REVALIDATION_FAILURE

  STATE_HOW value - indicates a remote served entry after a failed revalidation of a cached entry

Constructor Detail

### CacheState

    public CacheState()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD